Skip to main content
GET
/
api
/
credit-memos
/
{memoId}
Get credit memo details by id
curl --request GET \
  --url https://sbx.api.easybilling.cloud/billing/api/credit-memos/{memoId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "createdAt": "2026-04-03T01:42:36Z",
    "updatedAt": "2026-04-03T01:42:36Z",
    "createdBy": "9dc86abd-de28-4021-b0bc-645ed35cbcec",
    "updatedBy": "9dc86abd-de28-4021-b0bc-645ed35cbcec",
    "entityId": "26cf2751-35ae-4d68-8ebc-511523a647db",
    "deleted": false,
    "optimisticVersion": 1,
    "id": "d7ed97f3-b9eb-40d5-85bb-77e1b1e3b354",
    "accountId": "2897046b-6ac7-4352-b4c7-55e8d43b4220",
    "subTotal": 200,
    "discountAmount": 0,
    "amountAfterDiscount": 200,
    "taxAmount": 0,
    "totalAmount": 200,
    "date": "2026-04-03",
    "postDate": "2026-04-03",
    "dueDate": "2026-04-03",
    "status": "draft",
    "balance": 200,
    "lockByPayment": false,
    "immediatelyPay": false,
    "originalInvoiceId": "4ef14655-b855-429c-ac08-59634bc12863",
    "invoiceTaxTransactionId": "tax_1THwkUFW0IWBe0hK3CzRYZuR",
    "externalReferenceId": null,
    "reasonCode": "consumption-based-credit",
    "taxTransactionId": null,
    "currency": "CNY",
    "number": "CM-000000016"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Path Parameters

memoId
string
required

Response

OK

id
string
required
number
string
required
accountId
string
required
subTotal
integer
required
discountAmount
integer
required
amountAfterDiscount
integer
required
taxAmount
integer
required
totalAmount
integer
required
currency
string
required
status
enum<string>
required
Available options:
draft,
posted
date
string
required
dueDate
string
required
originalInvoiceId
string
required
invoiceTaxTransactionId
string
required
externalReferenceId
null
required
reasonCode
string
required
taxTransactionId
null
required
items
object[]
required
createdAt
string
required
updatedAt
string
required
createdBy
string
required
updatedBy
string
required